summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-05-21 17:28:58 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-05-22 07:53:47 +0200
commit4b2534879121d5c9e3674b35e34c3fa0b75a5c0a (patch)
treebbf832a0f38451802a2cb4f6c1b621cec803ea92 /dev-util/cppunit
parentprofiles: Drop obsolete LO-5.3 package.mask (diff)
downloadgentoo-4b2534879121d5c9e3674b35e34c3fa0b75a5c0a.tar.gz
gentoo-4b2534879121d5c9e3674b35e34c3fa0b75a5c0a.tar.bz2
gentoo-4b2534879121d5c9e3674b35e34c3fa0b75a5c0a.zip
dev-util/cppunit: 1.14.0 version bump, EAPI 6
Reported-by: jospezial <jospezial@gmx.de> Gentoo-bug: 615894 Package-Manager: Portage-2.3.5, Repoman-2.3.1
Diffstat (limited to 'dev-util/cppunit')
-rw-r--r--dev-util/cppunit/Manifest1
-rw-r--r--dev-util/cppunit/cppunit-1.14.0.ebuild67
-rw-r--r--dev-util/cppunit/cppunit-9999.ebuild25
3 files changed, 81 insertions, 12 deletions
diff --git a/dev-util/cppunit/Manifest b/dev-util/cppunit/Manifest
index 285bb2720b6..e4bc041b9e7 100644
--- a/dev-util/cppunit/Manifest
+++ b/dev-util/cppunit/Manifest
@@ -1,2 +1,3 @@
DIST cppunit-1.13.1.tar.gz 841334 SHA256 d5b9f3ffc9f1634d75b20b54f48c02e0817bca6afa1d5160b244889d6bff8e0f SHA512 3b588dd0ed35eca1dec1a7dcf21da40307b1da26d8e29a26a2fcb16cd4ba7e4dfdf58b6c3d537af2ad127c418b11ba62a1168312abb200d5aab8cb8475766a9d WHIRLPOOL 412bf0c5fe4437b694b89845f7ef29a564e4072890d4f5bacb657abbdc518e322b5db351f1ad123af403eef8a823439fdb1b2086c3e4c151076489c077d280d7
DIST cppunit-1.13.2.tar.gz 953596 SHA256 3f47d246e3346f2ba4d7c9e882db3ad9ebd3fcbd2e8b732f946e0e3eeb9f429f SHA512 8f4be569f321d577cec31931f49f4df143bc94e283605509b6ea50c60690aa91a2aed940e7eebd4b2413a4218f9a6c3978d312d8e587eab040283c6563846ecd WHIRLPOOL 13a76b2b4e999e46e90ab56a5b40e1a3fd4e42f15c083b6b5beb8e0d476a3d5162cafa6c906c931d9877a8ebc544077ab66712f2d8920238951b36862bcc949d
+DIST cppunit-1.14.0.tar.gz 959716 SHA256 3d569869d27b48860210c758c4f313082103a5e58219a7669b52bfd29d674780 SHA512 4ea1da423c6f7ab37e4144689f593396829ce74d43872d6b10709c1ad5fbda4ee945842f7e9803592520ef81ac713e95a3fe130295bf048cd32a605d1959882e WHIRLPOOL c6f0c1a26c683b6cd4449943a5eaa7154242a85980d21614ac56e78d20d9a05cbf92e1b49db236b7d97dee0ede16ca53c21f1e7f70152352a9caed865c54313f
diff --git a/dev-util/cppunit/cppunit-1.14.0.ebuild b/dev-util/cppunit/cppunit-1.14.0.ebuild
new file mode 100644
index 00000000000..4afab301a5e
--- /dev/null
+++ b/dev-util/cppunit/cppunit-1.14.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGIT_REPO_URI="git://anongit.freedesktop.org/libreoffice/cppunit"
+[[ ${PV} = 9999 ]] && inherit git-r3 autotools
+inherit flag-o-matic multilib-minimal
+
+DESCRIPTION="C++ port of the famous JUnit framework for unit testing"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/cppunit"
+[[ ${PV} = 9999 ]] || SRC_URI="http://dev-www.libreoffice.org/src/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+# Don't move KEYWORDS on the previous line or ekeyword won't work # 399061
+[[ ${PV} = 9999 ]] || \
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc examples static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ doc? (
+ app-doc/doxygen[dot]
+ media-gfx/graphviz
+ )
+"
+
+DOCS=( AUTHORS BUGS NEWS README THANKS TODO doc/FAQ )
+[[ ${PV} = 9999 ]] || DOCS+=( ChangeLog )
+
+src_prepare() {
+ default
+ [[ ${PV} = 9999 ]] && eautoreconf
+}
+
+src_configure() {
+ # Anything else than -O0 breaks on alpha
+ use alpha && replace-flags "-O?" -O0
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ econf \
+ $(use_enable static-libs static) \
+ $(multilib_native_use_enable doc doxygen) \
+ $(multilib_native_use_enable doc dot) \
+ --disable-werror
+}
+
+multilib_src_install_all() {
+ if use doc; then
+ mv "${ED%/}"/usr/share/${PN}/html "${ED%/}"/usr/share/doc/${PF} || die
+ rm -r "${ED%/}"/usr/share/${PN} || die
+ fi
+ einstalldocs
+
+ find "${D}" -name '*.la' -delete || die
+
+ if use examples ; then
+ find examples -iname "*.o" -delete
+ insinto /usr/share/${PN}
+ doins -r examples
+ fi
+}
diff --git a/dev-util/cppunit/cppunit-9999.ebuild b/dev-util/cppunit/cppunit-9999.ebuild
index b33a4568396..4afab301a5e 100644
--- a/dev-util/cppunit/cppunit-9999.ebuild
+++ b/dev-util/cppunit/cppunit-9999.ebuild
@@ -1,11 +1,11 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=6
EGIT_REPO_URI="git://anongit.freedesktop.org/libreoffice/cppunit"
[[ ${PV} = 9999 ]] && inherit git-r3 autotools
-inherit eutils flag-o-matic multilib-minimal
+inherit flag-o-matic multilib-minimal
DESCRIPTION="C++ port of the famous JUnit framework for unit testing"
HOMEPAGE="https://www.freedesktop.org/wiki/Software/cppunit"
@@ -15,7 +15,7 @@ LICENSE="LGPL-2.1"
SLOT="0"
# Don't move KEYWORDS on the previous line or ekeyword won't work # 399061
[[ ${PV} = 9999 ]] || \
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="doc examples static-libs"
RDEPEND=""
@@ -23,16 +23,14 @@ DEPEND="${RDEPEND}
doc? (
app-doc/doxygen[dot]
media-gfx/graphviz
- )"
+ )
+"
DOCS=( AUTHORS BUGS NEWS README THANKS TODO doc/FAQ )
[[ ${PV} = 9999 ]] || DOCS+=( ChangeLog )
-MULTILIB_CHOST_TOOLS=(
- /usr/bin/cppunit-config
-)
-
src_prepare() {
+ default
[[ ${PV} = 9999 ]] && eautoreconf
}
@@ -49,14 +47,17 @@ multilib_src_configure() {
$(use_enable static-libs static) \
$(multilib_native_use_enable doc doxygen) \
$(multilib_native_use_enable doc dot) \
- --docdir="${EPREFIX}"/usr/share/doc/${PF} \
- --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
- --disable-silent-rules
+ --disable-werror
}
multilib_src_install_all() {
+ if use doc; then
+ mv "${ED%/}"/usr/share/${PN}/html "${ED%/}"/usr/share/doc/${PF} || die
+ rm -r "${ED%/}"/usr/share/${PN} || die
+ fi
einstalldocs
- prune_libtool_files --all
+
+ find "${D}" -name '*.la' -delete || die
if use examples ; then
find examples -iname "*.o" -delete